CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessenger.CollapseCommandStrategy Class Reference

Collapse command strategy. The purpose of the strategy is to avoid duplicates of a certain command on the queue to avoid lagging. More...

Inheritance diagram for CommandMessenger.CollapseCommandStrategy:

List of all members.

## Public Member Functions
| CollapseCommandStrategy (Command command)
| Collapse strategy.
override void | Enqueue ()
| Add command (strategy) to command queue.

## Detailed Description

Collapse command strategy. The purpose of the strategy is to avoid duplicates of a certain command on the queue to avoid lagging.

## Constructor & Destructor Documentation

CommandMessenger.CollapseCommandStrategy.CollapseCommandStrategy | ( | Command | command | ) |

Collapse strategy.

Parameters:

  command | The command that will be collapsed on the queue.

## Member Function Documentation

override void CommandMessenger.CollapseCommandStrategy.Enqueue | ( |  | ) | `[virtual]`

Add command (strategy) to command queue.

Reimplemented from CommandMessenger.CommandStrategy.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/CollapseCommandStrategy.cs